/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** This file is part of the QtDeclarative module of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL$
** No Commercial Usage
** This file contains pre-release code and may not be distributed.
** You may use this file in accordance with the terms and conditions
** contained in the Technology Preview License Agreement accompanying
** this package.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights.  These rights are described in the Nokia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
** If you have questions regarding the use of this file, please contact
** Nokia at qt-info@nokia.com.
**
**
**
**
**
**
**
**
** $QT_END_LICENSE$
**
****************************************************************************/

import Qt 4.7


ListModel {
    id: languageModel

    ListElement {
        name: "Arabic"
        shortName: "ar"
        //shortName: "ara"
        imageSource: "images/flags/flag23_ar.png"
    }
    ListElement {
        name: "German"
        shortName: "de"
        //shortName: "ger"
        imageSource: "images/flags/flag23_de.png"
    }
    ListElement {
        name: "French"
        shortName: "fr"
        imageSource: "images/flags/flag23_fr.png"
    }
    ListElement {
        name: "English"
        shortName: "en"
        imageSource: "images/flags/flag23_en.png"
    }
    ListElement {
        name: "Italian"
        shortName: "it"
        imageSource: "images/flags/flag23_it.png"
    }
    ListElement {
        name: "Russian"
        shortName: "ru"
        imageSource: "images/flags/flag23_ru.png"
    }
    ListElement {
        name: "Turkish"
        shortName: "tr"
        imageSource: "images/flags/flag23_tr.png"
    }
    ListElement {
        name: "Hindi"
        shortName: "hi"
        imageSource: "images/flags/flag23_hi.png"
    }
    ListElement {
        name: "Finnish"
        shortName: "fi"
        imageSource: "images/flags/flag23_fi.png"
    }
    ListElement {
        name: "Spanish"
        shortName: "es"
        imageSource: "images/flags/flag23_es.png"
    }  
    ListElement {
        name: "Chinese Simplified"
        shortName: "zh-CN"
        imageSource: "images/flags/flag23_zh-CN.png"
    }
    ListElement {
        name: "Chinese Traditional"
        shortName: "zh-TW"
        imageSource: "images/flags/flag23_zh-CN.png"
    }
    ListElement {
        name: "Hungarian"
        shortName: "hu"
        imageSource: "images/flags/flag23_hu.png"
    }
    ListElement {
        name: "Swedish"
        shortName: "sv"
        //shortName: "swe"
        imageSource: "images/flags/flag23_sv.png"
    }
    ListElement {
        name: "Thai"
        shortName: "th"
        //shortName: "tha"
        imageSource: "images/flags/flag23_tha.png"
    }
    ListElement {
        name: "Ukrainian"
        shortName: "uk"
        //shortName: "ukr"
        imageSource: "images/flags/flag23_uk.png"
    }
    ListElement {
        name: "Greek"
        shortName: "el"
        //shortName: "gre"
        imageSource: "images/flags/flag23_el.png"
    }
}
